Package org.bukkit.event.player

# Class PlayerBedLeaveEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerBedLeaveEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerBedLeaveEvent extends PlayerEvent implements Cancellable
This event is fired when the player is leaving a bed.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerBedLeaveEvent(@NotNull Player who, @NotNull Block bed, boolean setBedSpawn)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBed()`
Returns the bed block involved in this event.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setSpawnLocation(boolean setBedSpawn)`
Set if this event should set the new spawn location for the `Player`.
`boolean`
`shouldSetSpawnLocation()`
Get if this event should set the new spawn location for the `Player`.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerBedLeaveEvent

public PlayerBedLeaveEvent(@NotNull @NotNull Player who, @NotNull @NotNull Block bed, boolean setBedSpawn)

## Method Details

### getBed

@NotNull public @NotNull Block getBed()
Returns the bed block involved in this event.

Returns:
  the bed block involved in this event

### shouldSetSpawnLocation

public boolean shouldSetSpawnLocation()
Get if this event should set the new spawn location for the `Player`.
This does not remove any existing spawn location, only prevent it from being changed (if true).
To change a `Player`'s spawn location, use `Player.setBedSpawnLocation(Location)`.

Returns:
  true if the spawn location will be changed

### setSpawnLocation

public void setSpawnLocation(boolean setBedSpawn)
Set if this event should set the new spawn location for the `Player`.
This will not remove any existing spawn location, only prevent it from being changed (if true).
To change a `Player`'s spawn location, use `Player.setBedSpawnLocation(Location)`.

Parameters:
  `setBedSpawn` - true to change the new spawn location

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()